-- written by Gizmo
----------------------------------------------------------------------
-- If you like Project Phoenix and want to help support the project
-- you could send any donation amount to jessebutler1975@gmail.com at
-- paypal.com
--
-- Thank you for using my product, 
-- I hope you enjoy it as much as I do
----------------------------------------------------------------------
require 'default:base_mobile'
--================================================================
--                 	   PROJECT PHOENIX OVERRIDE
--================================================================
local BaseDoMobileDeath = DoMobileDeath
------------------------------------------------------------------
-- @function DoMobileDeath(damager)
-- When a mobile dies, check the quest objectives or if the mob
-- is attached to a spawner, let the spawner know its dead.
------------------------------------------------------------------
function DoMobileDeath(damager)
	--check the players quest log for possible matching objectives
	if(damager:IsPlayer()) then
		CustomQuests.Helpers.CheckQuestObjectives(damager, this)
	end
	--let the spawner know this object is gone or has died
	if(this:HasObjVar("parentSpawner")) then
		GameObj(this:GetObjVar("parentSpawner")):SendMessage("mobHasDied", this)
	end

	--run all the code in the default:base_mobile:DoMobileDeath(damager)
	BaseDoMobileDeath(damager)
end
--================================================================
--                  END PROJECT PHOENIX OVERRIDE
--================================================================

