-- written by Gizmo
----------------------------------------------------------------------
-- If you like Project Phoenix and want to help support the project
-- you could send any donation amount to jessebutler1975@gmail.com at
-- paypal.com
--
-- Thank you for using my product, 
-- I hope you enjoy it as much as I do
----------------------------------------------------------------------
local ItemValues =
{
	--TABLE DEFINE
	-- { Sell To Player Price, Purchase From Player Price}
	--resources
	resource_iron = {20,1},
	resource_iron_ore = {30,1},
	resource_iron_ore_gleaming = {25,1},
	resource_coal = {10,1},
	resource_charcoal = {20,2},
	resource_stone = {20,1},
	resource_boards = {20,1},
	resource_boards_durable = {60,1},

	resource_cotton = {42,2};
	resource_cotton_fluffy = {69,3},
	resource_strand = {73,4},
	resource_bolt_of_cloth = {84,5},
	resource_bolt_of_cloth_quilted = {310,31},
	resource_leather_tanned = {32, 5},

	resource_wood = {20,2},
	resource_boards = {28,5},
	resource_wood_durable = {63,2},
	resource_boards_durable = {244,8},

	ingredient_ginsengroot = {3,1},
	ingredient_mushroom = {5,1},
	ingredient_moss = {5,1},
	ingredient_lemongrass = {3,1},
	resource_blankscroll = {8,1},
	
	--daggers
	loa_dagger_letter = {92,27},
	loa_dagger_dagger = {220,51},
	loa_dagger_shiv = {368,92},

	--swords
	loa_sword_trainingsword = {92,27},
	loa_sword_rapier = {232,59},

	--blunt
	loa_mace_club = {30,9},
	loa_mace_spikedclub = {92,17},

	loa_quater_staff = {58,19},

	--Shields
	loa_shield_buckler = {75,12},
	loa_shield_smallshield = {112,26},
	--Armor
	loa_heavy_brigandine_helm = {170,40},
	loa_heavy_brigandine_leggings = {220,50},
	loa_heavy_brigandine_tunic = {320,80},
	loa_heavy_chain_helm = {210,45},
	loa_heavy_chain_leggings = {250,55},
	loa_heavy_chain_tunic = {325,89},

	--Tool
	tool_cookingpot = {317,30},
	tool_mining_pick = {180,18},
	tool_shovel = {182,19},
	tool_hunting_knife = {60,6},
	tool_hatchet = {153,15},
	tool_hammer = {0,0},
	tinderbox = {38,10},
	--furniture
	furniture_candelabra = {90,9},

	--Bow
	loa_bow_shortbow = {273,27},
	loa_bow_longbow = {419,41},

	--light armor	
	loa_light_padded_helm = {213,21},
	loa_light_padded_leggings = {270,27},
	loa_light_padded_chest = {328,34},
	loa_robe_apprentice_helm = {258,26},
	loa_robe_apprentice_leggings = {317,32},
	loa_robe_apprentice_chest = {405,41},
	
	loa_light_leather_helm = {411,41},
	loa_light_leather_leggings = {475,48},
	loa_light_leather_chest = {539,54},
	loa_robe_linen_helm = {635,64},
	loa_robe_linen_leggings = {729,73},
	loa_robe_linen_tunic = {815,82},

	--alchemy
	potion_lheal = {29,12},
	potion_heal = {119,29},
	potion_gheal = {229,49},
	potion_cure = {39,15},

	--inscription
	lscroll_heal = {15,8}, 
	lscroll_ruin = {15,8},
	spellbook = {180,18}, 
	--staffs
	loa_staff_staff = {230,23},  
	loa_staff_tribal = {250,25}, -- 
	loa_staff_darkwood = {255,26}, --
	
	--misc
	lweapon_crook = {280,28},
	arrow = {10,1},
}

function GetItemValuesFor(template)
	for index, item in pairs(ItemValues) do
		if(index == template) then
			-- returns buyprice, sellprice
			return item[1], item[2]
		end
	end
	return -1,-1
end