-- written by Gizmo
----------------------------------------------------------------------
-- If you like Project Phoenix and want to help support the project
-- you could send any donation amount to jessebutler1975@gmail.com at
-- paypal.com
--
-- Thank you for using my product, 
-- I hope you enjoy it as much as I do
----------------------------------------------------------------------
require 'systems_factions_window'
RegisterEventHandler(EventType.ModuleAttached,GetCurrentModule(),
function()

end)

RegisterEventHandler(EventType.DynamicWindowResponse,"FactionWindow", 
function (user,buttonId,textField)
	local buttonData = StringSplit(buttonId,"|")
	local button = buttonData[1]
	local params = buttonData[2]
	if(button=="RemoveFaction")then
		user:SystemMessage("Are you sure you want to remove "..params.." from this players faction table?")
		ShowFactionWindow(GameObj(tonumber(buttonData[3])),GameObj(tonumber(buttonData[4])),{Type="RemoveFaction",Faction=params})
		return
	end
	if(button=="EditFaction")then
		user:SystemMessage("Are you sure you want to edit the "..params.." faction?")
		print(buttonData[1],buttonData[2],buttonData[3],buttonData[4])
		ShowFactionWindow(GameObj(tonumber(buttonData[3])),GameObj(tonumber(buttonData[4])),{Type="EditFaction",Faction=params})			
		return
	end
	if(button=="Cancel") then
		user:SystemMessage("You canceled removing the faction ".. buttonData[2])
		ShowFactionWindow(GameObj(tonumber(buttonData[3])),GameObj(tonumber(buttonData[4])),{Type="CancelDeleteFaction",Faction=params})
		return
	end
	if(button=="Okay") then
		user:SystemMessage("You removed the faction " .. buttonData[2])
		Systems_Factions.RemoveFaction(GameObj(tonumber(buttonData[4])),buttonData[2])
		ShowFactionWindow(GameObj(tonumber(buttonData[3])),GameObj(tonumber(buttonData[4])),{Type="OkayDeleteFaction",Faction=params})
	end
	if(button=="EditOkay") then
		user:SystemMessage("You edited the faction " .. buttonData[2])
		Systems_Factions.SetFaction(GameObj(tonumber(buttonData[4])),buttonData[2],tonumber(textField.faction_value))
		ShowFactionWindow(GameObj(tonumber(buttonData[3])),GameObj(tonumber(buttonData[4])))
	end
	if(button=="EditCancel") then
		user:SystemMessage("You canceled editing the faction ".. buttonData[2])
		ShowFactionWindow(GameObj(tonumber(buttonData[3])),GameObj(tonumber(buttonData[4])))
		return
	end
	if(this:HasModule("systems_factions_window_handler")) then
		this:DelModule("systems_factions_window_handler")
	end
end)