function ShowTestWindow(user,parentobject)
	local dynamicWindow = DynamicWindow("DynamicWindowHandler","",300,300,-150,-150,"TransparentDraggable","Center")
	dynamicWindow:AddImage(1,1,"Blank",300,300,"Simple","252525")
	DrawCloseButton(271,5,dynamicWindow)
	user:OpenDynamicWindow(dynamicWindow,parentobject)
end	

function DrawCloseButton(x,y,dynamicwindow)
	dynamicwindow:AddImage(x,y,"Blank",24,24,"Sliced","AA0000")
	dynamicwindow:AddImage(x+2,y+2,"Blank",20,20,"Sliced","770000")
	dynamicwindow:AddButton(x,y,"CloseButton","",24,24,"[FF7700]Close\n[FFFF00]closes this dynamic window.","",true,"Invisible")
end

RegisterEventHandler(EventType.DynamicWindowResponse,"DynamicWindowHandler",
function (user,buttonId,fieldData)
	
end)

RegisterEventHandler(EventType.Message, "UseObject", function(user, usedType) 
    if(usedType=="[FF9900]Open Window[-]") then
    	ShowTestWindow(user,this)
    end
    if(usedType=="[FF9900]Refresh Modules[-]") then
		ReloadModule(GetCurrentModule())
    end
end)

RegisterEventHandler(EventType.ModuleAttached, GetCurrentModule(), function() 
	AddUseCase(this,"[FF9900]Open Window[-]",true)
	AddUseCase(this,"[FF9900]Refresh Modules[-]",false)
end)



