function GenerateDungeon(controller)
	local editorInfo = controller:GetObjVar("Data.EditorInfo") or nil
	local startX=15
	local startY=485	
	for k,v in pairs(editorInfo.DungeonArray) do
		if(v.ClientId ~= 0) then
			local location = Loc(startX+v.CellX*15,0,startY-(v.CellY*15))
			v.Location = location
			local obj = CreateObj(v.Template,location,"OnTileGenerated",v)
			v.RealTile = obj
		end
	end
end

RegisterEventHandler(EventType.CreatedObject,"OnTileGenerated",
function (success,objRef,tileData)
	if(success) then
		local newRot = Loc(0,0,0)
		if(tileData.Rotation == "North") then newRot = Loc(0,0,0) end
		if(tileData.Rotation == "West") then newRot = Loc(0,270,0) end
		if(tileData.Rotation == "South") then newRot = Loc(0,180,0) end
		if(tileData.Rotation == "East") then newRot = Loc(0,90,0) end
		objRef:SetRotation(newRot)
	end
end)
   	