-- written by Gizmo
----------------------------------------------------------------------
-- If you like Project Phoenix and want to help support the project
-- you could send any donation amount to jessebutler1975@gmail.com at
-- paypal.com
--
-- Thank you for using my product, 
-- I hope you enjoy it as much as I do
----------------------------------------------------------------------
RegisterSingleEventHandler(EventType.ModuleAttached, GetCurrentModule(), function()
	if(initializer ~= nil) then
		if(initializer.Region ~= nil) then
			AddBuffIcon(this,"region_boost_speed_5","[009933][b]------------------------------------\nBear Strength [/b][999999][i](Weak)[/i]","Summon Bear","[FFFF88]------------------------------------\n[i]You feel an intense animalistic rage creep deep into your soul. Providing you with a[/i] \n------------------------------------\n[009933][b]bonus +5 strength\nbonus 20% mass\n------------------------------------[/b].",false) 
			SetMobileMod(this, "StrengthPlus", "region_boost_speed_5",5)
			this:SetScale(Loc(1.2,1.2,1.2))
			this:PlayObjectSound("BearAttack")
			this:PlayEffect("GreenParticlesBuffEffect",6)
			this:SystemMessage("[AAAA33]your [339933][b]strength[/b] [AAAA33]is increased by [339933][b]+5[/b]")
			this:SystemMessage("[AAAA33]your [339933][b]mass[/b] [AAAA33]is increased by [339933][b]20%[/b]")
		end
	end
end)

RegisterEventHandler(EventType.Message, "end_region_buff_effect",
function()
	RemoveBuffIcon(this,"region_boost_speed_5") 
	SetMobileMod(this, "StrengthPlus", "region_boost_speed_5",nil)
	this:SetScale(Loc(1,1,1))
	this:PlayObjectSound("BearDeath")
	this:StopEffect("GreenParticlesBuffEffect")
	this:SystemMessage("[AAAA33]your [CC3333][b]strength[/b] [AAAA33]is decreased by [CC3333][b]+5[/b]")
	this:SystemMessage("[AAAA33]your [CC3333][b]mass[/b] [AAAA33]is decreased by [CC3333][b]20%[/b]")
	this:DelModule(GetCurrentModule())
end)